# Delete a stored card

## Invalidate a Card Token

> Invalidates a previously generated card token, preventing its future use for transactions

```json
{"openapi":"3.0.0","info":{"title":"Card Token Invalidation API","version":"3.0.0"},"servers":[{"url":"https://cc-api-stg.directa24.com","description":"Staging server"}],"security":[{"ApiAuth":[]}],"components":{"securitySchemes":{"ApiAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Authorization control hash"}}},"paths":{"/v3/tokenization/{card_identifier}":{"delete":{"summary":"Invalidate a Card Token","description":"Invalidates a previously generated card token, preventing its future use for transactions","parameters":[{"name":"card_identifier","in":"path","required":true,"description":"The unique card token to invalidate","schema":{"type":"string"}},{"name":"Content-Type","in":"header","required":true,"description":"Media type of the body sent to the API","schema":{"type":"string","default":"application/json"}},{"name":"X-Date","in":"header","required":true,"description":"ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)","schema":{"type":"string","format":"date-time"}},{"name":"X-Login","in":"header","required":true,"description":"Merchant X-Login API Key","schema":{"type":"string"}},{"name":"X-Idempotency-Key","in":"header","required":false,"description":"Unique idempotency key for ensuring that the same request is not processed more than once","schema":{"type":"string"}}],"responses":{"204":{"description":"Card token successfully invalidated","content":{}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","enum":[511,512]},"description":{"type":"string"}}}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"description":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/deposits-api/saving-cards-card-on-file/delete-a-stored-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
